## gitlint 0.9.0

=== requirements.txt ===
setuptools
wheel==0.24.0
Click==6.6
sh==1.11; sys_platform != 'win32' # sh is not supported on windows
arrow==0.10.0
ordereddict==1.1
importlib==1.0.3; python_version < '2.7'

=== qa/requirements.txt ===
unittest2==1.1.0 # support for python 2.6
sh==1.11
pytest==3.0.4
arrow==0.10.0
gitlint # no version as you want to test the currently installed version

=== debian/changelog ===
gitlint (0.9.0-2) unstable; urgency=medium

  * Add missing dependency python3-sh (Closes: #887789)

 -- Patrik Hagedorn <patrik.hagedorn@gmx.net>  Sun, 18 Feb 2018 22:48:41 +0100

gitlint (0.9.0-1) unstable; urgency=medium

  * Initial packaging (Closes: #886864)

 -- Patrik Hagedorn <patrik.hagedorn@gmx.net>  Mon, 15 Jan 2018 12:37:13 +0100

=== debian/control ===
Source: gitlint
Section: utils
Priority: optional
Maintainer: Patrik Hagedorn <patrik.hagedorn@gmx.net>
Build-Depends: debhelper (>= 11),
               dh-python,
               git,
               pylint3 | python3 (<< 3.4.2),
               python3-all,
               python3-arrow,
               python3-click,
               python3-coverage,
               python3-setuptools,
               python3-sh
Standards-Version: 4.1.3
Homepage: https://jorisroovers.github.io/gitlint/
X-Python3-Version: >= 3.3

Package: gitlint
Architecture: all
Depends: git,
         ${misc:Depends},
         ${python3:Depends},
         python3-sh
Description: Git commit message linter written in Python
 Git commit message linter written in Python, checks your
 commit messages for style.
 .
 Great for use as a commit-msg Git hook or as part of your
 gating script in a CI pipeline (e.g. Jenkins).

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
export PYBUILD_TEST_ARGS=python{version} -m coverage run --omit='/usr/*,$(CURDIR)/gitlint/tests/*,$(CURDIR)/gitlint/qa/*' -m unittest discover -v -s $(CURDIR)/gitlint/tests

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom dh_auto_test

override_dh_install:
	dh_install
	find debian/gitlint/usr/lib -name commit-msg -exec chmod +x {} \;

## gitlint 0.12.0

=== requirements.txt ===
setuptools
wheel==0.33.4;
Click==7.0
sh==1.12.14; sys_platform != 'win32' # sh is not supported on windows
arrow==0.14.2; python_version != '3.4'
arrow==0.13.2; python_version == '3.4'

=== qa/requirements.txt ===
sh==1.12.14
pytest==4.6.3;
arrow==0.14.2; python_version != '3.4'
arrow==0.13.2; python_version == '3.4'
gitlint # no version as you want to test the currently installed version

=== debian/changelog ===
gitlint (0.12.0-0.1~build1) eoan; urgency=medium

  * Upload to eoan

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Sep 2019 14:17:15 +0200

gitlint (0.12.0-0.1) unstable; urgency=medium

  * QA upload.
  * New upstream release (Closes: #896070)
  * Compat level is now 12
  * Update std-version to 4.4.0, no changes required
  * Switch to pylint
  * Do not install qa directory, not in gitlint namespace
  * Patch to replace readfp with read_file, since this package is Python3
  * Force arrow runtime dependency, to avoid a pybuild failure in picking
    up the requirements.txt file
  * Drop all patches, upstream

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Sep 2019 10:30:12 +0200

=== debian/control ===
Source: gitlint
Section: utils
Priority: optional
Maintainer: Patrik Hagedorn <patrik.hagedorn@gmx.net>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               git,
               pylint,
               python3-all,
               python3-arrow,
               python3-click,
               python3-coverage,
               python3-setuptools,
               python3-sh
Standards-Version: 4.4.0
Homepage: https://jorisroovers.github.io/gitlint/

Package: gitlint
Architecture: all
Depends: git,
         ${misc:Depends},
         ${python3:Depends},
         python3-sh,
         python3-arrow,
Description: Git commit message linter written in Python
 Git commit message linter written in Python, checks your
 commit messages for style.
 .
 Great for use as a commit-msg Git hook or as part of your
 gating script in a CI pipeline (e.g. Jenkins).

## gitlint 0.13.1

=== requirements.txt ===
setuptools
wheel==0.33.4
Click==7.0
sh==1.12.14; sys_platform != 'win32' # sh is not supported on windows
arrow==0.15.5;

=== qa/requirements.txt ===
sh==1.12.14
pytest==4.6.3;
arrow==0.15.5;
gitlint # no version as you want to test the currently installed version

=== debian/changelog ===
gitlint (0.13.1-0.1) unstable; urgency=medium

  * QA upload.
  * New upstream release (Closes: #951996)
  * Update std-version to 4.5.0, no changes required

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Mar 2020 10:38:21 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-coverage,
                python3-setuptools,
                python3-sh
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://jorisroovers.github.io/gitlint/
 
 Package: gitlint

=== debian/rules ===
--- 
+++ 
@@ -11,4 +11,6 @@
 
 override_dh_install:
 	dh_install
+	# we don't want them in the package?
+	rm -rf debian/gitlint/usr/lib/python*/dist-packages/qa
 	find debian/gitlint/usr/lib -name commit-msg -exec chmod +x {} \;

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/gitlint-$1\.tar\.gz/ \
  https://github.com/jorisroovers/gitlint/releases .*/v?(\d\S+)\.tar\.gz

## gitlint 0.14.0

=== debian/changelog ===
gitlint (0.14.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 0.14.0.
  * Refreshing python3-hook.patch.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 03 Nov 2020 07:07:57 +0100

gitlint (0.13.1-6) sid; urgency=medium

  * Uploading to sid.
  * Adding Rules-Requires-Root field.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 30 Aug 2020 15:56:29 +0200

gitlint (0.13.1-5) sid; urgency=medium

  * Uploading to sid.
  * Updating to debhelper version 13.
  * Using python3 in commit-msg hook (Closes: #891538).
  * Removing fix-test-with-python3.patch, not needed anymore.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 19 Apr 2020 13:31:34 +0200

gitlint (0.13.1-4) sid; urgency=medium

  * Uploading to sid.
  * Correcting license name in copyright file.
  * Adding myself to copyright file.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 27 Mar 2020 09:05:22 +0100

gitlint (0.13.1-3) sid; urgency=medium

  * Uploading to sid.
  * Adding manpage generated with help2man.
  * Shortening package short-description.
  * Completing copyright file headers.
  * Moving debian specific patches to corresponding subdirectory.
  * Repeating section field for binary packages for consistency reasons.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 26 Mar 2020 20:53:26 +0100

gitlint (0.13.1-2) sid; urgency=medium

  * Uploading to sid.
  * Intending watch file.
  * Adding note about target distribution to changelog.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 21 Mar 2020 09:45:29 +0100

gitlint (0.13.1-1) sid; urgency=medium

  * Uploading to sid.
  * New maintainer (Closes: #933193).
  * Updating homepage field.
  * Updating package description.
  * Updating years in copyright file.
  * Sorting dh arguments in rules.
  * Using execute_after targets in rules to be explicit what we're doing.
  * Adding vcs fields.
  * Sorting debian files.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 19 Mar 2020 15:12:27 +0100

=== debian/control ===
Source: gitlint
Section: utils
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 git,
 help2man,
 pylint,
 python3-all,
 python3-arrow,
 python3-click,
 python3-coverage,
 python3-setuptools,
 python3-sh,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://jorisroovers.com/gitlint/
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/gitlint
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/gitlint

Package: gitlint
Section: utils
Architecture: all
Depends:
 git,
 python3-arrow,
 python3-sh,
 ${misc:Depends},
 ${python3:Depends},
Description: Git commit message linter
 Gitlint is a git commit message linter written in Python, it checks your commit
 messages for style.
 .
 Great for use as a commit-msg git hook or as part of your gating script in a CI
 pipeline (e.g. Jenkins).

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/gitlint-$1\.tar\.gz/ \
https://github.com/jorisroovers/gitlint/releases .*/v?(\d\S+)\.tar\.gz

## gitlint 0.15.0

=== requirements.txt ===
setuptools
wheel==0.35.1
Click==7.1.2
sh==1.14.1; sys_platform != 'win32' # sh is not supported on windows
arrow==0.17.0

=== qa/requirements.txt ===
sh==1.14.1
pytest==6.1.2;
arrow==0.17.0;
gitlint # no version as you want to test the currently installed version

=== debian/changelog ===
gitlint (0.15.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 0.15.0.
  * Updating years in copyright file for 2021.
  * Updating to standards version 4.5.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 25 Jan 2021 14:27:59 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-setuptools,
  python3-sh,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://jorisroovers.com/gitlint/
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/gitlint
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/gitlint

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
export PYBUILD_TEST_ARGS=python{version} -m coverage run --omit='/usr/*,$(CURDIR)/gitlint/tests/*,$(CURDIR)/gitlint/qa/*' -m unittest discover -v -s $(CURDIR)/gitlint/tests

%:
	dh ${@} --buildsystem=pybuild --with python3

override_dh_auto_test:
	PYBUILD_SYSTEM=custom dh_auto_test

execute_after_dh_auto_install:
	# manpage
	mkdir -p debian/gitlint/usr/share/man/man1

	PYTHONPATH=debian/gitlint/usr/lib/$$(py3versions -d)/dist-packages \
		help2man --no-discard-stderr --name 'Git commit message linter' \
		debian/gitlint/usr/bin/gitlint > debian/gitlint/usr/share/man/man1/gitlint.1

	# removing unused files
	rm -rf debian/gitlint/usr/lib/python*/dist-packages/qa

execute_after_dh_fixperms:
	find debian/gitlint/usr/lib -name commit-msg -exec chmod +x {} \;

## gitlint 0.16.0

=== debian/changelog ===
gitlint (0.16.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 0.16.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 13 Oct 2021 07:35:03 +0200

gitlint (0.15.1-3) sid; urgency=medium

  * Uploading to sid.
  * Updating to standards version 4.6.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 09 Oct 2021 10:15:53 +0200

gitlint (0.15.1-2) sid; urgency=medium

  * Uploading to sid.
  * Updating watch file.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 15 Aug 2021 17:36:42 +0200

gitlint (0.15.1-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 0.15.1.
  * Updating python debhelper sequence.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 19 Apr 2021 15:27:48 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  git,
  help2man,
  pylint,
@@ -15,7 +15,7 @@
  python3-setuptools,
  python3-sh,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://jorisroovers.com/gitlint/
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/gitlint
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/gitlint

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export PYBUILD_TEST_ARGS=python{version} -m coverage run --omit='/usr/*,$(CURDIR)/gitlint/tests/*,$(CURDIR)/gitlint/qa/*' -m unittest discover -v -s $(CURDIR)/gitlint/tests
 
 %:
-	dh ${@} --buildsystem=pybuild --with python3
+	dh ${@} --buildsystem=pybuild
 
 override_dh_auto_test:
 	PYBUILD_SYSTEM=custom dh_auto_test

## gitlint 0.17.0

=== requirements.txt ===
setuptools
wheel==0.37.0
-e .
-e ./gitlint-core[trusted-deps]

=== qa/requirements.txt ===
sh==1.14.2
pytest==6.2.5;
arrow==1.2.1;
gitlint # no version as you want to test the currently installed version

=== debian/changelog ===
gitlint (0.17.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 0.17.0.
  * Refreshing python3-hook.patch.
  * Disabling now non-working test target temporarily.
  * Updating rules for gitlint and gitlint-core changes.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 04 Dec 2021 04:31:53 +0100

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,8 @@
  dh-sequence-python3,
  git,
  help2man,
- pylint,
  python3-all,
- python3-arrow,
- python3-click,
- python3-coverage,
  python3-setuptools,
- python3-sh,
 Rules-Requires-Root: no
 Standards-Version: 4.6.0
 Homepage: https://jorisroovers.com/gitlint/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/gitlint-$1\.tar\.gz/ \
https://github.com/jorisroovers/gitlint/tags .*/v?(\d\S+)\.tar\.gz

## gitlint 0.18.0

=== requirements.txt ===
setuptools
wheel==0.37.1
-e .
-e ./gitlint-core[trusted-deps]

=== qa/requirements.txt ===
sh==1.14.3
pytest==7.0.1;
arrow==1.2.3;
gitlint # no version as you want to test the currently installed version

=== debian/changelog ===
gitlint (0.18.0-2) sid; urgency=medium

  * Uploading to sid.
  * Updating to standards version 4.6.2.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 30 Jan 2023 17:12:56 +0100

gitlint (0.18.0-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 0.18.0.
  * Updating copyright for 2022.
  * Updating to standards version 4.6.1.
  * Adding further build-depends used for manpage generation to make build
    reproducible, thanks to Vagrant Cascadian <vagrant@reproducible-
    builds.org> (Closes: #1024404).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 19 Nov 2022 15:55:10 +0100

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,12 @@
  git,
  help2man,
  python3-all,
+ python3-arrow,
+ python3-click,
  python3-setuptools,
+ python3-sh,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://jorisroovers.com/gitlint/
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/gitlint
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/gitlint

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,10 @@
 #!/usr/bin/make -f
 
-export LC_ALL=C.UTF-8
-export PYBUILD_TEST_ARGS=python{version} -m coverage run --omit='/usr/*,$(CURDIR)/gitlint/tests/*,$(CURDIR)/gitlint/qa/*' -m unittest discover -v -s $(CURDIR)/gitlint/tests
-
 %:
-	dh ${@} --buildsystem=pybuild
+	dh ${@} --buildsystem=pybuild --sourcedir=$(CURDIR)/gitlint-core
 
 override_dh_auto_test:
-	PYBUILD_SYSTEM=custom dh_auto_test
+	# disabled
 
 execute_after_dh_auto_install:
 	# manpage
@@ -22,3 +19,6 @@
 
 execute_after_dh_fixperms:
 	find debian/gitlint/usr/lib -name commit-msg -exec chmod +x {} \;
+
+override_dh_missing:
+	# disabled

## gitlint 0.19.1

=== debian/changelog ===
gitlint (0.19.1-7) sid; urgency=medium

  * Harmonizing upstream urls.
  * Adding upstream metadata.
  * Removing rules-requires-root, not needed anymore.
  * Updating watch file to version 5.

 -- Daniel Baumann <daniel@debian.org>  Sun, 30 Nov 2025 19:06:29 +0100

gitlint (0.19.1-6) sid; urgency=medium

  * Simplifying watch file.

 -- Daniel Baumann <daniel@debian.org>  Fri, 02 May 2025 07:44:09 +0200

gitlint (0.19.1-5) sid; urgency=medium

  * Updating to standards version 4.7.1.
  * Updating to standards version 4.7.2.

 -- Daniel Baumann <daniel@debian.org>  Wed, 19 Mar 2025 20:34:03 +0100

gitlint (0.19.1-4) sid; urgency=medium

  * Updating vcs fields.
  * Updating my email address.
  * Trimming debian changelog.
  * Updating year in debian copyright for 2025.

 -- Daniel Baumann <daniel@debian.org>  Thu, 13 Feb 2025 06:12:51 +0100

gitlint (0.19.1-3) sid; urgency=medium

  * Updating copyright for 2024.
  * Updating to standards-version 4.7.0.

 -- Daniel Baumann <daniel@debian.org>  Thu, 25 Jul 2024 06:35:23 +0200

gitlint (0.19.1-2) sid; urgency=medium

  * Uploading without changes after bookworm release.

 -- Daniel Baumann <daniel@debian.org>  Sun, 11 Jun 2023 14:13:53 +0200

gitlint (0.19.1-1) experimental; urgency=medium

  * Merging upstream version 0.19.1.
  * Adding build-depends to pybuild-plugin-pyproject for PEP517 support.
  * Adding hatch build-depends for new usptream version.
  * Workarounding hatch-vcs as debian upstream tarball doesn't contain
    upstreams git vcs files.

 -- Daniel Baumann <daniel@debian.org>  Sat, 11 Mar 2023 09:03:12 +0100

gitlint (0.19.0~dev-1) experimental; urgency=medium

  * Merging upstream version 0.19.0~dev.

 -- Daniel Baumann <daniel@debian.org>  Mon, 30 Jan 2023 18:11:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,24 @@
 Source: gitlint
 Section: utils
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
+Maintainer: Daniel Baumann <daniel@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  git,
  help2man,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-arrow,
  python3-click,
+ python3-hatch-vcs,
+ python3-hatchling,
  python3-setuptools,
  python3-sh,
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://jorisroovers.com/gitlint/
-Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/gitlint
-Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/gitlint
+Vcs-Browser: https://forgejo.debian.net/git/gitlint
+Vcs-Git: https://forgejo.debian.net/git/gitlint
 
 Package: gitlint
 Section: utils

=== debian/watch ===
Version: 5

Template: Github
Owner: jorisroovers
Project: @PACKAGE@
